Retrieve Customer
curl --request GET \
--url https://{brand_domain}/api/v1/customers/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{brand_domain}/api/v1/customers/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{brand_domain}/api/v1/customers/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 58,
"uuid": "83b9c9d2-b2f4-4df1-bc1e-b810d1c810d1",
"name": "Alice Smith",
"email": "[email protected]",
"phone": "+8801800000000",
"created_at": "2026-06-23T14:15:45Z"
}
}{
"success": false,
"error": "Payment not found",
"errors": [
{
"code": "PAYMENT_NOT_FOUND",
"message": "Payment not found",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}{
"success": false,
"error": "Payment not found",
"errors": [
{
"code": "PAYMENT_NOT_FOUND",
"message": "Payment not found",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}Retrieve Customer
Looks up a customer profile by an identifier (email address or phone number). The controller auto-detects the type: if the identifier contains ’@’, it searches by email hash; otherwise, it searches by phone number hash. On success, returns the fully decrypted PII details of the customer.
GET
/
customers
/
{identifier}
Retrieve Customer
Authorizations
Provide the Bearer API Key generated for your brand.
Path Parameters
The URL-encoded email address or phone number of the customer.
Last modified on July 12, 2026
Related topics
Retrieve Payment DetailsRetrieve SMS Filter RulesRetrieve RefundRetrieve TransactionRetrieve Dashboard SummaryWas this page helpful?
⌘I